aboutsummaryrefslogtreecommitdiff
path: root/.zplugrc
diff options
context:
space:
mode:
authorGuangxiong Lin <[email protected]>2022-02-06 17:17:53 +0800
committerGuangxiong Lin <[email protected]>2022-02-06 17:17:53 +0800
commitaaa9a733586e459341ea5b3123c2b241e6656c03 (patch)
tree9869231c94ae47063d36b32a2da596a374027161 /.zplugrc
parentc1c4586895bc8fc1ebc1e3fab6587902ef81cc6d (diff)
downloaddotfiles-aaa9a733586e459341ea5b3123c2b241e6656c03.tar.gz
dotfiles-aaa9a733586e459341ea5b3123c2b241e6656c03.tar.bz2
dotfiles-aaa9a733586e459341ea5b3123c2b241e6656c03.zip
Restructure zshrc config
Diffstat (limited to '.zplugrc')
-rwxr-xr-x.zplugrc23
1 files changed, 23 insertions, 0 deletions
diff --git a/.zplugrc b/.zplugrc
new file mode 100755
index 0000000..ca5358a
--- /dev/null
+++ b/.zplugrc
@@ -0,0 +1,23 @@
+#!/usr/bin/env zsh
+
+export ZPLUG_HOME=$HOME/.zplug
+
+if [ ! -d $ZPLUG_HOME ]; then
+ echo 'Installing zplug ... '
+ git clone https://github.com/zplug/zplug.git $ZPLUG_HOME
+fi
+source $ZPLUG_HOME/init.zsh
+
+zplug "plugins/git", from:oh-my-zsh
+zplug "zsh-users/zsh-completions"
+zplug "zsh-users/zsh-syntax-highlighting"
+zplug "dracula/zsh", as:theme
+
+if ! zplug check --verbose; then
+ printf "Install? [y/N]: "
+ if read -q; then
+ echo; zplug install
+ fi
+fi
+
+zplug load